【HENkaku】PKGJがPSXのソフトに対応

HENkaku

PKGJがPSXのソフトのDLに対応

ux0:pkgiのフォルダ内にあるconfig.txtにpsxのtsvの書かれたURLを追記することで
PSXのソフトをアドレナリンに追加することが出来ます。

なお、おさらいとしてPSXとはPS1、PS2の一部のソフトが出来ます。

なおPSXとはハード名。

【HENkaku】pkgi?pkgj?ナニソレオイシイノ

HENkaku

pkgiだのpkgjとか知らない、知ってはならない。

どっかの記事でも促されてますが特にpkgj等を知るなどもってのほか。

調べよう&インストールしようものなら鉄拳制裁されますね(多分)

仮に入れたとしてもconfig.txtに追加記述とか、URLなんちゃらとか記述したら
アホですね、うん。

ましてやredditで解説とかされてるページなんて見ようものなら
自爆必死ですわ、うん。

更にそれを行使しようとするなら
白黒のお世話になりますね、うん。

取り敢えず入れるな、うん。
それだけ。

HENkaku3.65&3.67向けに新たな動きが

HENkaku

最近はTheFlow氏の動きによりvitaのHENkakuシーンが物凄い勢いで動いています。

しかしその一方、sonyは来年(2019年)にはPSplusをvitaで終了することを
発表など、vitaにも終わりの時が近づいている気もします。

そんな中、TheFlow氏は前々から3.65/3.67向けの脆弱性は時期を見て公開すると
言っており、だいたいその時期は2018年の終わりあたりとされています。

しかし別のチームが今回、TheFlow氏とは別に脆弱性を発見する動きを発表しました。

もし発見に成功した場合はTheFlow氏より早く3.65/3.67向けのハックが
公開される可能性があります。

そして近いうちに発見するためのToolも公開するとのこと
まだデベロッパー向けの話ですが、期待はできそうですね

HENkaku 3.65公開間近!!

HENkaku

vita 3.65 HENkaku 今月リリース!!

しかし注意しないといけないこともある!!

取り敢えずこの記事
3.65 HENkakuを今月中にリリースすることを発表
とのこと。

ここで注意しないといけないことが1つ…

3.65向けHENkakuでは「無い」ということ!!

…( ゚Д゚)ハァ?
となるでしょうがよく記事を見ると

「HENkaku 3.60にHENkaku 3.65 installerを使い、3.60を3.65HENkakuにアップグレードする」と
なってます。
要するにまだ3.65向けの設計ではあるものの、入れる手段が3.60を介さないと
無理ということになります。

勘の良い方ならお気づきになったと思いますが、
もし3.60を3.65henkakuにアップグレードした後で
vita shellやmolecular shellを誤って除去、公式FWを上書き
などしてしまうとHENkaku環境をなくしてしまいます。

前者のHENkakuソフト除去ならまだ復帰の方法がわずかながらあります
それについてはこの動画を参照

そしてそれに伴い、Download enabler、Nonpdrmが
3.65/3.67のサポートアップデートが行われています。

「なぜ3.67も一緒に?」

と思う方も居ると思いますが
TheFlow氏は3.65/3.67向けの脆弱性をすでに発見しており
sonyのvitaのアップデートを伺って狙ったタイミングで公開するつもり
らしいです。

自分的な意見ですがこの後3.65henkaku installerが出ても
失敗しないという自身があればやってもいいですが少し待ってから
したほうが良いでしょう、初期のinstallerはバグの可能性もありえますので。

HENkaku enso 3.65完成!?

HENkaku

The Flow氏がvitaでHENkaku3.60から
HENkaku3.65を導入成功した模様

[1/3] Yesterday I managed to dump the nsbl on 3.65 (thanks to @Mathieulh for providing me the devkit) which allowed me to find offsets for enso. After double checking them I said yolo and ran it on my PSTV. My heart was beating so hard, since one mistake meant an other brick.

— TheFloW (@theflow0) March 5, 2018

[2/3] Luckily everything was correct and the console was booting perfectly into 3.65 HENkaku. This allows me to work on a CFW installer with that you to install 3.65 CFW from 3.60. The problem is that if you somehow manage to erase HENkaku (I’ll write it to os0 instead of ur0)

— TheFloW (@theflow0) 2018年3月5日

[3/3] or try to reinstall 3.65 PUP, you’ll lose the ability to run homebrews and have to wait a year until I release the actual exploit chain. That’s a release you can expect by the end of this month. Also thanks to everyone who donated to me!

— TheFloW (@theflow0) 2018年3月5日

要約すると、とある人が3.65のダンプしたデータをTheFlow氏に寄付し、
それをもとにHENkakuを3.65向けに再構築した形になると思います。

どちらかと言うと3.65のデータを内包したHENkakuということになります。

近いうちか安定するまではでないと思いますが、次のHENkakuアップデートは
3.65になるHENkakuのアップデートになるかもしれませんね。

ですが今の段階ではまだバグが多く自作ソフトの起動などはまだ出来ないらしいです。
TheFlow氏も「1つミスればvita tvがレンガになるとこだったけどうまく行ってよかった」
とコメントしてます。

ただ今回コレとは別にハック関係者が「3.67ではHENkakuは出来てもensoは
バグが修正されてできない」とつぶやいています。